Get Reward Details
curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/reward-assignments/{assignmentId}/reward \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "rew_Dev2yQLodRV33UKPKHTUQWk1",
"name": "Get a product",
"type": "MATERIAL",
"parameters": {
"product": {
"id": "prod_0b2ac1dab28985cb1e",
"sku_id": null
}
},
"stock": "1",
"redeemed": "1",
"attributes": {
"description": "Product"
},
"created_at": "2022-06-13T10:43:15.929Z",
"updated_at": "2022-08-11T15:59:30.820Z",
"metadata": null,
"object": "reward"
}Get Reward Details
deprecated
Legacy loyalty API
This endpoint belongs to the legacy loyalty API (/v1/loyalties).
Voucherify will not develop new features for this API. However, critical issues may still receive fixes.
For new integrations, use Loyalty v2.
If you have questions, contact Voucherify support.
Get reward details in the context of a loyalty campaign and reward assignment ID.
GET
/
v1
/
loyalties
/
{campaignId}
/
reward-assignments
/
{assignmentId}
/
reward
Get Reward Details
curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/reward-assignments/{assignmentId}/reward \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "rew_Dev2yQLodRV33UKPKHTUQWk1",
"name": "Get a product",
"type": "MATERIAL",
"parameters": {
"product": {
"id": "prod_0b2ac1dab28985cb1e",
"sku_id": null
}
},
"stock": "1",
"redeemed": "1",
"attributes": {
"description": "Product"
},
"created_at": "2022-06-13T10:43:15.929Z",
"updated_at": "2022-08-11T15:59:30.820Z",
"metadata": null,
"object": "reward"
}Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Scopes
Path Parameters
Response
200 - application/json
Returns reward details in the context of a loyalty campaign and reward assignment ID.
Response body schema for GET v1/loyalties/{campaignId}/reward-assignments/{assignmentId}/reward

